Subject: bug#44070: 28.0.50; Minibuffer display "jumps" upon minor edit

From: Eli Zaretskii <[email-masked]>
Date: Sun, 01 Nov 2020 17:32:45 +0200

> From: Stefan Monnier <[email-masked]>
> Cc: [email-masked]
> Date: Sun, 01 Nov 2020 08:29:09 -0500
> 
> >> >> How 'bout the patch below, then?
> >> > LGTM, modulo the NEWS and ELisp manual updates.
> >> OK, thanks.  Done and pushed.
> > Actually, I see now that your changes only test that a window is a
> > mini-window, but not that it displays a minibuffer.  Did I miss
> > something?  If not, I'd prefer to add the conditions for displaying a
> > minibuffer, okay?
> 
> How would I do that?

I thought about testing equality between the window being redisplayed
and minibuf_window.  We could also look at the buffer displayed by the
window, and see if it appears in Vminibuffer_list.  Does that make
sense?